Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
72.0.0.0
Broadcast address
73.255.255.255
First usable
72.0.0.1
Last usable
73.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 48000000 · Integer 1207959552 to 1241513983
Reverse DNS zones
72.in-addr.arpa
73.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000.00000000.00000000.0000000072.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01001000.00000000.00000000.0000000072.0.0.0
Broadcast01001001.11111111.11111111.1111111173.255.255.255
Split into smaller subnets/14

72.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.0.0.0/1472.0.0.1 to 72.3.255.25472.3.255.255262,142
272.4.0.0/1472.4.0.1 to 72.7.255.25472.7.255.255262,142
372.8.0.0/1472.8.0.1 to 72.11.255.25472.11.255.255262,142
472.12.0.0/1472.12.0.1 to 72.15.255.25472.15.255.255262,142
572.16.0.0/1472.16.0.1 to 72.19.255.25472.19.255.255262,142
672.20.0.0/1472.20.0.1 to 72.23.255.25472.23.255.255262,142
772.24.0.0/1472.24.0.1 to 72.27.255.25472.27.255.255262,142
872.28.0.0/1472.28.0.1 to 72.31.255.25472.31.255.255262,142
972.32.0.0/1472.32.0.1 to 72.35.255.25472.35.255.255262,142
1072.36.0.0/1472.36.0.1 to 72.39.255.25472.39.255.255262,142
1172.40.0.0/1472.40.0.1 to 72.43.255.25472.43.255.255262,142
1272.44.0.0/1472.44.0.1 to 72.47.255.25472.47.255.255262,142
1372.48.0.0/1472.48.0.1 to 72.51.255.25472.51.255.255262,142
1472.52.0.0/1472.52.0.1 to 72.55.255.25472.55.255.255262,142
1572.56.0.0/1472.56.0.1 to 72.59.255.25472.59.255.255262,142
1672.60.0.0/1472.60.0.1 to 72.63.255.25472.63.255.255262,142
1772.64.0.0/1472.64.0.1 to 72.67.255.25472.67.255.255262,142
1872.68.0.0/1472.68.0.1 to 72.71.255.25472.71.255.255262,142
1972.72.0.0/1472.72.0.1 to 72.75.255.25472.75.255.255262,142
2072.76.0.0/1472.76.0.1 to 72.79.255.25472.79.255.255262,142
2172.80.0.0/1472.80.0.1 to 72.83.255.25472.83.255.255262,142
2272.84.0.0/1472.84.0.1 to 72.87.255.25472.87.255.255262,142
2372.88.0.0/1472.88.0.1 to 72.91.255.25472.91.255.255262,142
2472.92.0.0/1472.92.0.1 to 72.95.255.25472.95.255.255262,142
2572.96.0.0/1472.96.0.1 to 72.99.255.25472.99.255.255262,142
2672.100.0.0/1472.100.0.1 to 72.103.255.25472.103.255.255262,142
2772.104.0.0/1472.104.0.1 to 72.107.255.25472.107.255.255262,142
2872.108.0.0/1472.108.0.1 to 72.111.255.25472.111.255.255262,142
2972.112.0.0/1472.112.0.1 to 72.115.255.25472.115.255.255262,142
3072.116.0.0/1472.116.0.1 to 72.119.255.25472.119.255.255262,142
3172.120.0.0/1472.120.0.1 to 72.123.255.25472.123.255.255262,142
3272.124.0.0/1472.124.0.1 to 72.127.255.25472.127.255.255262,142
3372.128.0.0/1472.128.0.1 to 72.131.255.25472.131.255.255262,142
3472.132.0.0/1472.132.0.1 to 72.135.255.25472.135.255.255262,142
3572.136.0.0/1472.136.0.1 to 72.139.255.25472.139.255.255262,142
3672.140.0.0/1472.140.0.1 to 72.143.255.25472.143.255.255262,142
3772.144.0.0/1472.144.0.1 to 72.147.255.25472.147.255.255262,142
3872.148.0.0/1472.148.0.1 to 72.151.255.25472.151.255.255262,142
3972.152.0.0/1472.152.0.1 to 72.155.255.25472.155.255.255262,142
4072.156.0.0/1472.156.0.1 to 72.159.255.25472.159.255.255262,142
4172.160.0.0/1472.160.0.1 to 72.163.255.25472.163.255.255262,142
4272.164.0.0/1472.164.0.1 to 72.167.255.25472.167.255.255262,142
4372.168.0.0/1472.168.0.1 to 72.171.255.25472.171.255.255262,142
4472.172.0.0/1472.172.0.1 to 72.175.255.25472.175.255.255262,142
4572.176.0.0/1472.176.0.1 to 72.179.255.25472.179.255.255262,142
4672.180.0.0/1472.180.0.1 to 72.183.255.25472.183.255.255262,142
4772.184.0.0/1472.184.0.1 to 72.187.255.25472.187.255.255262,142
4872.188.0.0/1472.188.0.1 to 72.191.255.25472.191.255.255262,142
4972.192.0.0/1472.192.0.1 to 72.195.255.25472.195.255.255262,142
5072.196.0.0/1472.196.0.1 to 72.199.255.25472.199.255.255262,142
5172.200.0.0/1472.200.0.1 to 72.203.255.25472.203.255.255262,142
5272.204.0.0/1472.204.0.1 to 72.207.255.25472.207.255.255262,142
5372.208.0.0/1472.208.0.1 to 72.211.255.25472.211.255.255262,142
5472.212.0.0/1472.212.0.1 to 72.215.255.25472.215.255.255262,142
5572.216.0.0/1472.216.0.1 to 72.219.255.25472.219.255.255262,142
5672.220.0.0/1472.220.0.1 to 72.223.255.25472.223.255.255262,142
5772.224.0.0/1472.224.0.1 to 72.227.255.25472.227.255.255262,142
5872.228.0.0/1472.228.0.1 to 72.231.255.25472.231.255.255262,142
5972.232.0.0/1472.232.0.1 to 72.235.255.25472.235.255.255262,142
6072.236.0.0/1472.236.0.1 to 72.239.255.25472.239.255.255262,142
6172.240.0.0/1472.240.0.1 to 72.243.255.25472.243.255.255262,142
6272.244.0.0/1472.244.0.1 to 72.247.255.25472.247.255.255262,142
6372.248.0.0/1472.248.0.1 to 72.251.255.25472.251.255.255262,142
6472.252.0.0/1472.252.0.1 to 72.255.255.25472.255.255.255262,142
6573.0.0.0/1473.0.0.1 to 73.3.255.25473.3.255.255262,142
6673.4.0.0/1473.4.0.1 to 73.7.255.25473.7.255.255262,142
6773.8.0.0/1473.8.0.1 to 73.11.255.25473.11.255.255262,142
6873.12.0.0/1473.12.0.1 to 73.15.255.25473.15.255.255262,142
6973.16.0.0/1473.16.0.1 to 73.19.255.25473.19.255.255262,142
7073.20.0.0/1473.20.0.1 to 73.23.255.25473.23.255.255262,142
7173.24.0.0/1473.24.0.1 to 73.27.255.25473.27.255.255262,142
7273.28.0.0/1473.28.0.1 to 73.31.255.25473.31.255.255262,142
7373.32.0.0/1473.32.0.1 to 73.35.255.25473.35.255.255262,142
7473.36.0.0/1473.36.0.1 to 73.39.255.25473.39.255.255262,142
7573.40.0.0/1473.40.0.1 to 73.43.255.25473.43.255.255262,142
7673.44.0.0/1473.44.0.1 to 73.47.255.25473.47.255.255262,142
7773.48.0.0/1473.48.0.1 to 73.51.255.25473.51.255.255262,142
7873.52.0.0/1473.52.0.1 to 73.55.255.25473.55.255.255262,142
7973.56.0.0/1473.56.0.1 to 73.59.255.25473.59.255.255262,142
8073.60.0.0/1473.60.0.1 to 73.63.255.25473.63.255.255262,142
8173.64.0.0/1473.64.0.1 to 73.67.255.25473.67.255.255262,142
8273.68.0.0/1473.68.0.1 to 73.71.255.25473.71.255.255262,142
8373.72.0.0/1473.72.0.1 to 73.75.255.25473.75.255.255262,142
8473.76.0.0/1473.76.0.1 to 73.79.255.25473.79.255.255262,142
8573.80.0.0/1473.80.0.1 to 73.83.255.25473.83.255.255262,142
8673.84.0.0/1473.84.0.1 to 73.87.255.25473.87.255.255262,142
8773.88.0.0/1473.88.0.1 to 73.91.255.25473.91.255.255262,142
8873.92.0.0/1473.92.0.1 to 73.95.255.25473.95.255.255262,142
8973.96.0.0/1473.96.0.1 to 73.99.255.25473.99.255.255262,142
9073.100.0.0/1473.100.0.1 to 73.103.255.25473.103.255.255262,142
9173.104.0.0/1473.104.0.1 to 73.107.255.25473.107.255.255262,142
9273.108.0.0/1473.108.0.1 to 73.111.255.25473.111.255.255262,142
9373.112.0.0/1473.112.0.1 to 73.115.255.25473.115.255.255262,142
9473.116.0.0/1473.116.0.1 to 73.119.255.25473.119.255.255262,142
9573.120.0.0/1473.120.0.1 to 73.123.255.25473.123.255.255262,142
9673.124.0.0/1473.124.0.1 to 73.127.255.25473.127.255.255262,142
9773.128.0.0/1473.128.0.1 to 73.131.255.25473.131.255.255262,142
9873.132.0.0/1473.132.0.1 to 73.135.255.25473.135.255.255262,142
9973.136.0.0/1473.136.0.1 to 73.139.255.25473.139.255.255262,142
10073.140.0.0/1473.140.0.1 to 73.143.255.25473.143.255.255262,142
10173.144.0.0/1473.144.0.1 to 73.147.255.25473.147.255.255262,142
10273.148.0.0/1473.148.0.1 to 73.151.255.25473.151.255.255262,142
10373.152.0.0/1473.152.0.1 to 73.155.255.25473.155.255.255262,142
10473.156.0.0/1473.156.0.1 to 73.159.255.25473.159.255.255262,142
10573.160.0.0/1473.160.0.1 to 73.163.255.25473.163.255.255262,142
10673.164.0.0/1473.164.0.1 to 73.167.255.25473.167.255.255262,142
10773.168.0.0/1473.168.0.1 to 73.171.255.25473.171.255.255262,142
10873.172.0.0/1473.172.0.1 to 73.175.255.25473.175.255.255262,142
10973.176.0.0/1473.176.0.1 to 73.179.255.25473.179.255.255262,142
11073.180.0.0/1473.180.0.1 to 73.183.255.25473.183.255.255262,142
11173.184.0.0/1473.184.0.1 to 73.187.255.25473.187.255.255262,142
11273.188.0.0/1473.188.0.1 to 73.191.255.25473.191.255.255262,142
11373.192.0.0/1473.192.0.1 to 73.195.255.25473.195.255.255262,142
11473.196.0.0/1473.196.0.1 to 73.199.255.25473.199.255.255262,142
11573.200.0.0/1473.200.0.1 to 73.203.255.25473.203.255.255262,142
11673.204.0.0/1473.204.0.1 to 73.207.255.25473.207.255.255262,142
11773.208.0.0/1473.208.0.1 to 73.211.255.25473.211.255.255262,142
11873.212.0.0/1473.212.0.1 to 73.215.255.25473.215.255.255262,142
11973.216.0.0/1473.216.0.1 to 73.219.255.25473.219.255.255262,142
12073.220.0.0/1473.220.0.1 to 73.223.255.25473.223.255.255262,142
12173.224.0.0/1473.224.0.1 to 73.227.255.25473.227.255.255262,142
12273.228.0.0/1473.228.0.1 to 73.231.255.25473.231.255.255262,142
12373.232.0.0/1473.232.0.1 to 73.235.255.25473.235.255.255262,142
12473.236.0.0/1473.236.0.1 to 73.239.255.25473.239.255.255262,142
12573.240.0.0/1473.240.0.1 to 73.243.255.25473.243.255.255262,142
12673.244.0.0/1473.244.0.1 to 73.247.255.25473.247.255.255262,142
12773.248.0.0/1473.248.0.1 to 73.251.255.25473.251.255.255262,142
12873.252.0.0/1473.252.0.1 to 73.255.255.25473.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses